# Teams

Teams within the workspace. Learn more about team management [here](https://docs.secoda.com/user-management/teams).

## List Teams

> Get a paginated list of teams in the workspace.

```json
{"openapi":"3.0.0","info":{"title":"Secoda API","version":"8.22.39"},"tags":[{"name":"Teams","description":"Teams within the workspace. Learn more about team management [here](https://docs.secoda.com/user-management/teams).\n"}],"servers":[{"url":"https://api.secoda.co","description":"Base URL for all US cloud based workspaces"},{"url":"https://eapi.secoda.co","description":"Base URL for all EU cloud based workspaces"},{"url":"https://aapi.secoda.co","description":"Base URL for all APAC cloud based workspaces"},{"url":"https://{customer_domain}.secoda.co","description":"Base URL for On Premise Secoda workspaces","variables":{"customer_domain":{"default":"customer_domain","description":"The specific domain set up for your On Premise Secoda workspace."}}}],"security":[{"ApiKeyAuth":[]}],"paths":{"/api/v1/auth/teams/":{"get":{"operationId":"api_list_teams_v1","summary":"List Teams","parameters":[{"in":"query","name":"include_archived","schema":{"default":false,"title":"Include Archived","type":"boolean"},"required":false},{"in":"query","name":"only_joined","schema":{"default":false,"title":"Only Joined","type":"boolean"},"required":false},{"in":"query","name":"only_write","schema":{"default":false,"title":"Only Write","type":"boolean"},"required":false},{"in":"query","name":"page","schema":{"anyOf":[{"type":"integer"},{"type":"null"}],"default":1,"title":"Page"},"required":false}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/v1_PagedTeamOut"}}}}},"description":"Get a paginated list of teams in the workspace.","tags":["Teams"]}}},"components":{"schemas":{"v1_PagedTeamOut":{"properties":{"results":{"items":{"$ref":"#/components/schemas/v1_TeamOut"},"title":"Results","type":"array"},"count":{"title":"Count","type":"integer"},"total_pages":{"title":"Total Pages","type":"integer"},"meta":{"$ref":"#/components/schemas/v1_OutputMeta"},"links":{"$ref":"#/components/schemas/v1_OutputLinks"}},"required":["results","count","total_pages","meta","links"],"title":"PagedTeamOut","type":"object"},"v1_TeamOut":{"properties":{"sidebar_settings":{"additionalProperties":{"type":"boolean"},"title":"Sidebar Settings","type":"object"},"workspace_id":{"format":"uuid","title":"Workspace Id","type":"string"},"empty_state":{"anyOf":[{"$ref":"#/components/schemas/v1_ExistDict"},{"type":"null"}]},"id":{"format":"uuid","title":"Id","type":"string"},"created_at":{"format":"date-time","title":"Created At","type":"string"},"updated_at":{"format":"date-time","title":"Updated At","type":"string"},"name":{"title":"Name","type":"string"},"icon":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Icon"},"type":{"maxLength":6,"title":"Type","type":"string"},"description":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Description"},"archived":{"default":false,"title":"Archived","type":"boolean"},"is_default_team":{"default":false,"title":"Is Default Team","type":"boolean"},"onboarding_completed":{"default":false,"title":"Onboarding Completed","type":"boolean"}},"required":["sidebar_settings","workspace_id","created_at","updated_at","name","type"],"title":"TeamOut","type":"object"},"v1_ExistDict":{"properties":{"catalog":{"$ref":"#/components/schemas/v1_ExistValue"},"collection":{"$ref":"#/components/schemas/v1_ExistValue"},"glossary":{"$ref":"#/components/schemas/v1_ExistValue"},"document":{"$ref":"#/components/schemas/v1_ExistValue"},"question":{"$ref":"#/components/schemas/v1_ExistValue"},"bi_dashboard":{"$ref":"#/components/schemas/v1_ExistValue"}},"required":["catalog","collection","glossary","document","question","bi_dashboard"],"title":"ExistDict","type":"object"},"v1_ExistValue":{"properties":{"is_empty":{"title":"Is Empty","type":"boolean"}},"required":["is_empty"],"title":"ExistValue","type":"object"},"v1_OutputMeta":{"properties":{"page":{"title":"Page","type":"integer"},"previous_page":{"anyOf":[{"type":"integer"},{"type":"null"}],"title":"Previous Page"},"next_page":{"anyOf":[{"type":"integer"},{"type":"null"}],"title":"Next Page"}},"required":["page"],"title":"OutputMeta","type":"object"},"v1_OutputLinks":{"properties":{"previous":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Previous"},"next":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Next"}},"title":"OutputLinks","type":"object"}}}}
```

## Create Team

> Create a new team in the workspace.

```json
{"openapi":"3.0.0","info":{"title":"Secoda API","version":"8.22.39"},"tags":[{"name":"Teams","description":"Teams within the workspace. Learn more about team management [here](https://docs.secoda.com/user-management/teams).\n"}],"servers":[{"url":"https://api.secoda.co","description":"Base URL for all US cloud based workspaces"},{"url":"https://eapi.secoda.co","description":"Base URL for all EU cloud based workspaces"},{"url":"https://aapi.secoda.co","description":"Base URL for all APAC cloud based workspaces"},{"url":"https://{customer_domain}.secoda.co","description":"Base URL for On Premise Secoda workspaces","variables":{"customer_domain":{"default":"customer_domain","description":"The specific domain set up for your On Premise Secoda workspace."}}}],"security":[{"ApiKeyAuth":[]}],"paths":{"/api/v1/auth/teams/":{"post":{"operationId":"api_create_team","summary":"Create Team","parameters":[],"responses":{"201":{"description":"Created","content":{"application/json":{"schema":{"$ref":"#/components/schemas/v1_TeamOut"}}}}},"description":"Create a new team in the workspace.","tags":["Teams"],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/v1_TeamIn"}}},"required":true}}}},"components":{"schemas":{"v1_TeamOut":{"properties":{"sidebar_settings":{"additionalProperties":{"type":"boolean"},"title":"Sidebar Settings","type":"object"},"workspace_id":{"format":"uuid","title":"Workspace Id","type":"string"},"empty_state":{"anyOf":[{"$ref":"#/components/schemas/v1_ExistDict"},{"type":"null"}]},"id":{"format":"uuid","title":"Id","type":"string"},"created_at":{"format":"date-time","title":"Created At","type":"string"},"updated_at":{"format":"date-time","title":"Updated At","type":"string"},"name":{"title":"Name","type":"string"},"icon":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Icon"},"type":{"maxLength":6,"title":"Type","type":"string"},"description":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Description"},"archived":{"default":false,"title":"Archived","type":"boolean"},"is_default_team":{"default":false,"title":"Is Default Team","type":"boolean"},"onboarding_completed":{"default":false,"title":"Onboarding Completed","type":"boolean"}},"required":["sidebar_settings","workspace_id","created_at","updated_at","name","type"],"title":"TeamOut","type":"object"},"v1_ExistDict":{"properties":{"catalog":{"$ref":"#/components/schemas/v1_ExistValue"},"collection":{"$ref":"#/components/schemas/v1_ExistValue"},"glossary":{"$ref":"#/components/schemas/v1_ExistValue"},"document":{"$ref":"#/components/schemas/v1_ExistValue"},"question":{"$ref":"#/components/schemas/v1_ExistValue"},"bi_dashboard":{"$ref":"#/components/schemas/v1_ExistValue"}},"required":["catalog","collection","glossary","document","question","bi_dashboard"],"title":"ExistDict","type":"object"},"v1_ExistValue":{"properties":{"is_empty":{"title":"Is Empty","type":"boolean"}},"required":["is_empty"],"title":"ExistValue","type":"object"},"v1_TeamIn":{"properties":{"name":{"title":"Name","type":"string"},"icon":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Icon"},"description":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Description"},"type":{"$ref":"#/components/schemas/v1_TeamType"}},"required":["name","type"],"title":"TeamIn","type":"object"},"v1_TeamType":{"enum":["OPEN","CLOSED"],"title":"TeamType","type":"string"}}}}
```

## Get Team

> Get a team by their ID.

```json
{"openapi":"3.0.0","info":{"title":"Secoda API","version":"8.22.39"},"tags":[{"name":"Teams","description":"Teams within the workspace. Learn more about team management [here](https://docs.secoda.com/user-management/teams).\n"}],"servers":[{"url":"https://api.secoda.co","description":"Base URL for all US cloud based workspaces"},{"url":"https://eapi.secoda.co","description":"Base URL for all EU cloud based workspaces"},{"url":"https://aapi.secoda.co","description":"Base URL for all APAC cloud based workspaces"},{"url":"https://{customer_domain}.secoda.co","description":"Base URL for On Premise Secoda workspaces","variables":{"customer_domain":{"default":"customer_domain","description":"The specific domain set up for your On Premise Secoda workspace."}}}],"security":[{"ApiKeyAuth":[]}],"paths":{"/api/v1/auth/teams/{team_id}/":{"get":{"operationId":"api_get_team","summary":"Get Team","parameters":[{"in":"path","name":"team_id","schema":{"title":"Team Id","type":"string"},"required":true}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/v1_TeamOut"}}}}},"description":"Get a team by their ID.","tags":["Teams"]}}},"components":{"schemas":{"v1_TeamOut":{"properties":{"sidebar_settings":{"additionalProperties":{"type":"boolean"},"title":"Sidebar Settings","type":"object"},"workspace_id":{"format":"uuid","title":"Workspace Id","type":"string"},"empty_state":{"anyOf":[{"$ref":"#/components/schemas/v1_ExistDict"},{"type":"null"}]},"id":{"format":"uuid","title":"Id","type":"string"},"created_at":{"format":"date-time","title":"Created At","type":"string"},"updated_at":{"format":"date-time","title":"Updated At","type":"string"},"name":{"title":"Name","type":"string"},"icon":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Icon"},"type":{"maxLength":6,"title":"Type","type":"string"},"description":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Description"},"archived":{"default":false,"title":"Archived","type":"boolean"},"is_default_team":{"default":false,"title":"Is Default Team","type":"boolean"},"onboarding_completed":{"default":false,"title":"Onboarding Completed","type":"boolean"}},"required":["sidebar_settings","workspace_id","created_at","updated_at","name","type"],"title":"TeamOut","type":"object"},"v1_ExistDict":{"properties":{"catalog":{"$ref":"#/components/schemas/v1_ExistValue"},"collection":{"$ref":"#/components/schemas/v1_ExistValue"},"glossary":{"$ref":"#/components/schemas/v1_ExistValue"},"document":{"$ref":"#/components/schemas/v1_ExistValue"},"question":{"$ref":"#/components/schemas/v1_ExistValue"},"bi_dashboard":{"$ref":"#/components/schemas/v1_ExistValue"}},"required":["catalog","collection","glossary","document","question","bi_dashboard"],"title":"ExistDict","type":"object"},"v1_ExistValue":{"properties":{"is_empty":{"title":"Is Empty","type":"boolean"}},"required":["is_empty"],"title":"ExistValue","type":"object"}}}}
```

## Update Team

> Use this endpoint to update the Team. Editable fields include the name, description, icon, type, and sidebar settings.

```json
{"openapi":"3.0.0","info":{"title":"Secoda API","version":"8.22.39"},"tags":[{"name":"Teams","description":"Teams within the workspace. Learn more about team management [here](https://docs.secoda.com/user-management/teams).\n"}],"servers":[{"url":"https://api.secoda.co","description":"Base URL for all US cloud based workspaces"},{"url":"https://eapi.secoda.co","description":"Base URL for all EU cloud based workspaces"},{"url":"https://aapi.secoda.co","description":"Base URL for all APAC cloud based workspaces"},{"url":"https://{customer_domain}.secoda.co","description":"Base URL for On Premise Secoda workspaces","variables":{"customer_domain":{"default":"customer_domain","description":"The specific domain set up for your On Premise Secoda workspace."}}}],"security":[{"ApiKeyAuth":[]}],"paths":{"/api/v1/auth/teams/{team_id}/":{"patch":{"operationId":"api_update_team","summary":"Update Team","parameters":[{"in":"path","name":"team_id","schema":{"title":"Team Id","type":"string"},"required":true}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/v1_TeamOut"}}}}},"description":"Use this endpoint to update the Team. Editable fields include the name, description, icon, type, and sidebar settings.","tags":["Teams"],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/v1_PartialTeamIn"}}},"required":true}}}},"components":{"schemas":{"v1_TeamOut":{"properties":{"sidebar_settings":{"additionalProperties":{"type":"boolean"},"title":"Sidebar Settings","type":"object"},"workspace_id":{"format":"uuid","title":"Workspace Id","type":"string"},"empty_state":{"anyOf":[{"$ref":"#/components/schemas/v1_ExistDict"},{"type":"null"}]},"id":{"format":"uuid","title":"Id","type":"string"},"created_at":{"format":"date-time","title":"Created At","type":"string"},"updated_at":{"format":"date-time","title":"Updated At","type":"string"},"name":{"title":"Name","type":"string"},"icon":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Icon"},"type":{"maxLength":6,"title":"Type","type":"string"},"description":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Description"},"archived":{"default":false,"title":"Archived","type":"boolean"},"is_default_team":{"default":false,"title":"Is Default Team","type":"boolean"},"onboarding_completed":{"default":false,"title":"Onboarding Completed","type":"boolean"}},"required":["sidebar_settings","workspace_id","created_at","updated_at","name","type"],"title":"TeamOut","type":"object"},"v1_ExistDict":{"properties":{"catalog":{"$ref":"#/components/schemas/v1_ExistValue"},"collection":{"$ref":"#/components/schemas/v1_ExistValue"},"glossary":{"$ref":"#/components/schemas/v1_ExistValue"},"document":{"$ref":"#/components/schemas/v1_ExistValue"},"question":{"$ref":"#/components/schemas/v1_ExistValue"},"bi_dashboard":{"$ref":"#/components/schemas/v1_ExistValue"}},"required":["catalog","collection","glossary","document","question","bi_dashboard"],"title":"ExistDict","type":"object"},"v1_ExistValue":{"properties":{"is_empty":{"title":"Is Empty","type":"boolean"}},"required":["is_empty"],"title":"ExistValue","type":"object"},"v1_PartialTeamIn":{"properties":{"name":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Name"},"icon":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Icon"},"type":{"anyOf":[{"$ref":"#/components/schemas/v1_TeamType"},{"type":"null"}]},"description":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Description"},"sidebar_settings":{"anyOf":[{"additionalProperties":{"type":"boolean"},"type":"object"},{"type":"null"}],"title":"Sidebar Settings"},"archived":{"anyOf":[{"type":"boolean"},{"type":"null"}],"title":"Archived"},"onboarding_completed":{"anyOf":[{"type":"boolean"},{"type":"null"}],"title":"Onboarding Completed"}},"title":"PartialTeamIn","type":"object"},"v1_TeamType":{"enum":["OPEN","CLOSED"],"title":"TeamType","type":"string"}}}}
```

## List Teams

> Get a list of teams in the workspace.

```json
{"openapi":"3.0.0","info":{"title":"Secoda API","version":"8.22.39"},"tags":[{"name":"Teams","description":"Teams within the workspace. Learn more about team management [here](https://docs.secoda.com/user-management/teams).\n"}],"servers":[{"url":"https://api.secoda.co","description":"Base URL for all US cloud based workspaces"},{"url":"https://eapi.secoda.co","description":"Base URL for all EU cloud based workspaces"},{"url":"https://aapi.secoda.co","description":"Base URL for all APAC cloud based workspaces"},{"url":"https://{customer_domain}.secoda.co","description":"Base URL for On Premise Secoda workspaces","variables":{"customer_domain":{"default":"customer_domain","description":"The specific domain set up for your On Premise Secoda workspace."}}}],"security":[{"ApiKeyAuth":[]}],"paths":{"/api/v2/auth/teams/":{"get":{"operationId":"api_list_teams_v2","summary":"List Teams","parameters":[{"in":"query","name":"include_archived","schema":{"default":false,"title":"Include Archived","type":"boolean"},"required":false},{"in":"query","name":"only_joined","schema":{"default":false,"title":"Only Joined","type":"boolean"},"required":false},{"in":"query","name":"only_write","schema":{"default":false,"title":"Only Write","type":"boolean"},"required":false}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"items":{"$ref":"#/components/schemas/v2_TeamOut"},"title":"Response","type":"array"}}}}},"description":"Get a list of teams in the workspace.","tags":["Teams"]}}},"components":{"schemas":{"v2_TeamOut":{"properties":{"sidebar_settings":{"additionalProperties":{"type":"boolean"},"title":"Sidebar Settings","type":"object"},"workspace_id":{"format":"uuid","title":"Workspace Id","type":"string"},"empty_state":{"anyOf":[{"$ref":"#/components/schemas/v2_ExistDict"},{"type":"null"}]},"id":{"format":"uuid","title":"Id","type":"string"},"created_at":{"format":"date-time","title":"Created At","type":"string"},"updated_at":{"format":"date-time","title":"Updated At","type":"string"},"name":{"title":"Name","type":"string"},"icon":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Icon"},"type":{"maxLength":6,"title":"Type","type":"string"},"description":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Description"},"archived":{"default":false,"title":"Archived","type":"boolean"},"is_default_team":{"default":false,"title":"Is Default Team","type":"boolean"},"onboarding_completed":{"default":false,"title":"Onboarding Completed","type":"boolean"}},"required":["sidebar_settings","workspace_id","created_at","updated_at","name","type"],"title":"TeamOut","type":"object"},"v2_ExistDict":{"properties":{"catalog":{"$ref":"#/components/schemas/v2_ExistValue"},"collection":{"$ref":"#/components/schemas/v2_ExistValue"},"glossary":{"$ref":"#/components/schemas/v2_ExistValue"},"document":{"$ref":"#/components/schemas/v2_ExistValue"},"question":{"$ref":"#/components/schemas/v2_ExistValue"},"bi_dashboard":{"$ref":"#/components/schemas/v2_ExistValue"}},"required":["catalog","collection","glossary","document","question","bi_dashboard"],"title":"ExistDict","type":"object"},"v2_ExistValue":{"properties":{"is_empty":{"title":"Is Empty","type":"boolean"}},"required":["is_empty"],"title":"ExistValue","type":"object"}}}}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.secoda.co/api/reference/teams.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
